$HTTP["host"] =~ "^(www\.)?oslocity\.org" {
  var.servername = "oslocity.org"

  # Set basedir for our domains
  var.basedir = "/var/www/htdocs/domains/"

  # Documentroot = basedir + servername
  server.document-root = basedir + servername
}

##
# opera.oslocity.org
##
$HTTP["host"] =~ "opera\.oslocity\.org" {
  var.subdomain = "opera"
  var.servername = "oslocity.org"

  # Set basedir for our domains
  var.basedir = "/var/www/htdocs/domains/"
  var.subdomdir = "/subdomains/"

  # Documentroot = /basedir/<servername>/subdomains/<subdomain>.<servername>/
  server.document-root = basedir + servername + subdomdir + subdomain + "." + servername
}
